<?php
/**
 * InterWorx Hosting Control Panel
 *
 * <pre>
 * +----------------------------------------------------------------------+
 * | Copyright (c) 2000-2021 InterWorx L.L.C., All Rights Reserved.       |
 * +----------------------------------------------------------------------+
 * | Redistribution and use in source form, with or without modification  |
 * | is NOT permitted without consent from the copyright holder.          |
 * |                                                                      |
 * | THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND |
 * | ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,    |
 * | THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A          |
 * | PARTICULAR PURPOSE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,    |
 * | EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,  |
 * | PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR   |
 * | PROFITS; OF BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY  |
 * | OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT         |
 * | (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE    |
 * | USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH     |
 * | DAMAGE.                                                              |
 * +----------------------------------------------------------------------+
 * </pre>
 *
 * @package    InterWorx
 * @author     Malin Lorch <mlorch@liquidweb.com>
 * @date       Aug 12, 2021
 */

/**
 * @package InterWorx
 * @subpackage
 */
class AcronisReply_Restore extends AcronisReply
{
    /**
     * @param string  $name
     * @param integer $bytes
     */
    public static function getRestoreItemDb($name, $bytes)
    {
        return array(
            self::REPLY_NAME => $name,
            self::REPLY_SIZE => $bytes,
            self::REPLY_UNIT => self::REPLY_BYTES
        );
    }

    /**
     * @param string  $path
     * @param integer $bytes
     */
    public static function getRestoreItemDir($path, $bytes)
    {
        $path = $path === "" ? "/" : $path;

        return array(
            self::REPLY_PATH => $path,
            self::REPLY_SIZE => $bytes,
            self::REPLY_UNIT => self::REPLY_BYTES
        );
    }

    /**
     * @param array   $items
     * @param integer $bytes
     */
    public static function getRestoreItems(array $items, $bytes)
    {
        return array(
            self::REPLY_ITEMS => $items,
            self::REPLY_SUBTOTAL => $bytes,
            self::REPLY_UNIT => self::REPLY_BYTES
        );
    }

    /**
     * @param array $dbs
     * @param array $directories
     */
    public static function getRestoreSize(array $dbs, array $directories)
    {
        $total = $directories[self::REPLY_SUBTOTAL] + $dbs[self::REPLY_SUBTOTAL];

        return array(
            self::REPLY_DATABASES => $dbs,
            self::REPLY_DIRECTORIES => $directories,
            self::REPLY_TOTAL => $total,
            self::REPLY_UNIT => self::REPLY_BYTES
        );
    }
}
